[algogeeks] Finding parallel edges in graph

2010-10-21 Thread Algorithimist
Design an algorithm to determine whether a graph has any parallel edges in time proportional to E + V. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algoge...@googlegroups.com. To unsubscribe from this

[algogeeks] Re: Frequent values spoj

2010-10-21 Thread juver++
Please have a look at this page: http://www.informatik.uni-ulm.de/acm/Locals/2007/input/. It contains input data for the problem. On 21 окт, 00:39, ANUJ KUMAR kumar.anuj...@gmail.com wrote: i am getting wa forhttps://www.spoj.pl/problems/FREQUENT/ here is my code i have used segment trees it

[algogeeks] 10 most repeating words

2010-10-21 Thread Vinay...
how do u find 10 most repeating words on a large file containing words in most efficient way...if it can also be done using heapsort plz post ur answers.. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to

Re: [algogeeks] 10 most repeating words

2010-10-21 Thread ashish agarwal
use a array of 10 and apply min heap On Thu, Oct 21, 2010 at 7:05 PM, Vinay... vinumars...@gmail.com wrote: how do u find 10 most repeating words on a large file containing words in most efficient way...if it can also be done using heapsort plz post ur answers.. -- You received this

[algogeeks] Adobe question

2010-10-21 Thread bittu
You have an array consisting of 2n+1 elements, n elements in it are married, i.e they occur twice in the array, however there is one element which only appears once in the array. You need to find that number in a single pass using constant memory,assuming that all are positive numbers. Regards

[algogeeks] Re: Yahoo coding round question

2010-10-21 Thread ligerdave
@Kishen I don't have much knowledge on parallel computation in OpenCL or CUDA. Do you mean parallelised=not have to do the computation at all? did you mean without knowing the boundary of the inner loop which is depended on the outer loop, the inner loop would be smart enough to figure out the i

[algogeeks] Adobe question

2010-10-21 Thread bittu
Given 2 array in first array n elements are sorted there in second elements n+1 elements and n elements in 2nd array not ordered and it also contains one extra elements wap to find out extra elements in one pass. Regards Shashank Mani BIT Mesra -- You received this message because you are

[algogeeks] Re: Adobe question

2010-10-21 Thread Dave
XOR all of the elements of the array. The duplicated elements cancel each other out, and the result is the unduplicated element. Dave On Oct 21, 9:05 am, bittu shashank7andr...@gmail.com wrote: You have an array consisting of 2n+1 elements, n elements in it are married, i.e they occur twice in

[algogeeks] Re: Adobe question

2010-10-21 Thread Dave
I think that you are saying that the second array contains all of the elements in the first array, plus one additional element. If this is the proper interpretation, then just XOR all of the elements of both arrays and the result is the additional element. Dave On Oct 21, 9:12 am, bittu

[algogeeks] SOUTH ACTRESS HOT PHOTOSVIDEOS

2010-10-21 Thread SRAVANTHI LOVE
AISHWARIYA LATEST HOT PICS http://babes-devi.blogspot.com/2010/10/aish-latest-pics.html SOUTHACTRESS IN A SEXY TOWELS http://babes-devi.blogspot.com/2010/10/south-actress-in-sexy-towels.html UDAYATHRA IN A BATH ROOM

Re: [algogeeks] Re: Duplicate in an array

2010-10-21 Thread MOHIT ....
i = array[0]; while (array[i] != 0) { int temp = array[i]; array[i] = 0; i=temp; } return i; i think this will also work with o(n) time and o(1) complexity. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this

Re: [algogeeks] Re: Frequent values spoj

2010-10-21 Thread ANUJ KUMAR
thanks On 10/21/10, juver++ avpostni...@gmail.com wrote: Please have a look at this page: http://www.informatik.uni-ulm.de/acm/Locals/2007/input/. It contains input data for the problem. On 21 окт, 00:39, ANUJ KUMAR kumar.anuj...@gmail.com wrote: i am getting wa

Re: [algogeeks] Re: Duplicate in an array

2010-10-21 Thread MOHIT ....
above will work only if num of element in array max value in array else we have to use auxilary array. as suggested above ... -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to

Re: [algogeeks] 4th year project ideas

2010-10-21 Thread Mukesh Kumar thakur
TRY TO DO IN ANDROID CONCEPT THIS IS THE LEADING TECH IN TELECOM FIELD On 10/19/10, gaurav gupta 1989.gau...@googlemail.com wrote: Hello Ayush, If you really want to work and learn something, I would suggest select an open source project according to interest and do something as your Btech

Re: [algogeeks] Re: Frequent values spoj

2010-10-21 Thread ANUJ KUMAR
please give me its output file also so that i can check mine On 10/21/10, ANUJ KUMAR kumar.anuj...@gmail.com wrote: thanks On 10/21/10, juver++ avpostni...@gmail.com wrote: Please have a look at this page: http://www.informatik.uni-ulm.de/acm/Locals/2007/input/. It contains input data for

Re: [algogeeks] Yahoo coding round question

2010-10-21 Thread Ashim Kapoor
I'm not sure what a 2 hash table is. Can you please explain ? On Tue, Oct 19, 2010 at 10:36 PM, MOHIT mohit...@gmail.com wrote: o(n) soln Lets say A is the array of length N. Create an array sum of length N and initialize it to 0. Create an array product of length N and initialize it

[algogeeks] Re: 10 most repeating words

2010-10-21 Thread LinGmnZ
hashing - separate chaining On Oct 21, 8:35 pm, Vinay... vinumars...@gmail.com wrote: how do u find 10 most repeating words on a large file containing words in most efficient way...if it can also be done using heapsort plz post ur answers.. -- You received this message because you are

[algogeeks] Re: Duplicate in an array

2010-10-21 Thread juver++
Are you kidding? Did you test your solution? Suppose, A = {1, 4, 5, 6, 2, 2}. Sum of the elements is S=20, X_SUM = 6. Result of your algo is (20-6)/2=7 instead if correct 2. On 20 окт, 14:49, Mahesh_JNU mahesh.jnumc...@gmail.com wrote: Just add the number of the array and let the sum is S. Its

[algogeeks] SIGSEV in FCTRL4 on SPOJ

2010-10-21 Thread Vishnutej
Hello all, I tried to submit this FCTRL4 problem on SPOJ..Its giving me right answer in my system,but I'm getiing SIGSEV runtime error when I submit.Here's my code.plz lemme know if there's anything wrong and also any optimizations. #includeiostream #includecstdio #includecstdlib using namespace

[algogeeks] Re: Duplicate in an array

2010-10-21 Thread Dave
@Mohit: But what if the array is of length 3 and the elements are 1, 1, 1? Dave On Oct 20, 10:04 pm, MOHIT mohit...@gmail.com wrote: i = array[0]; while (array[i] != 0) {     int temp = array[i];     array[i] = 0;     i=temp; } return i; i think this will also work with

[algogeeks] Re: linked lists

2010-10-21 Thread ligerdave
@Asquare you were right. what about this? public static char[] concat(char[] str1, char[] str2) { boolean repeat = false;// indicates whether two neighbor chars repeat in // str1 array int pointer = -1; // pointer for str2 array

[algogeeks] Re: linked lists

2010-10-21 Thread ligerdave
@asquare basically i just added a flag to enable the window slide. good catch btw! On Oct 20, 7:55 am, Asquare anshika.sp...@gmail.com wrote: @ligerdave - your algo will fail in the case the two arrays are: hellostl eeelexander ans : hellostlexander but according to ur method the

Re: [algogeeks] Re: Adobe question

2010-10-21 Thread rajan goswami
@Dave - There could be another good solution instead of XOR. If below interpretation of the problem is correct, Array1 - contains n elements ( order is irrelevent) Array2 - contains all n elements of Array1 ( order is irrelevent) + 1 extra element which is unique from all n elements of Array1.